package com.example.panicbutton

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.foundation.layout.*
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.runtime.Composable
import androidx.compose.ui.platform.LocalContext

class EvacuationPointsActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {
            EvacuationPointsScreen()
        }
    }
}

@Composable
fun EvacuationPointsScreen() {
    val context = LocalContext.current // Mendapatkan konteks
    Column(
        modifier = Modifier
            .fillMaxSize()
            .padding(16.dp),
        verticalArrangement = Arrangement.Center,
        horizontalAlignment = Alignment.CenterHorizontally
    ) {
        Text("Titik Kumpul Terdekat:")
        // Daftar titik kumpul (contoh)
        Text("Titik 1: Alun-alun Kota", color = Color.Black)
        Text("Titik 2: Kantor Polisi", color = Color.Black)
        Spacer(modifier = Modifier.height(16.dp))

        // Tombol Close
        Button(onClick = {
            // Menutup activity dan kembali ke MainActivity
            if (context is EvacuationPointsActivity) {
                context.finish()
            }
        }) {
            Text("Close", color = Color.Black)
        }
    }
}
